{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}
<div class="container mt-5">
    <div class="row justify-content-center">
        <div class="col-md-6">
            <h1 class="mb-4 text-center">Register</h1>

            {{ form_start(registrationForm, {'attr': {'class': 'form-signup'}}) }}

            <div class="form-group">
                {{ form_label(registrationForm.email) }}
                {{ form_widget(registrationForm.email, {'attr': {'class': 'form-control'}}) }}
                {{ form_errors(registrationForm.email) }}
            </div>

            <div class="form-group">
                {{ form_label(registrationForm.plainPassword, 'Password') }}
                {{ form_widget(registrationForm.plainPassword, {'attr': {'class': 'form-control'}}) }}
                {{ form_errors(registrationForm.plainPassword) }}
            </div>

            <div class="form-group form-check">
                {{ form_widget(registrationForm.agreeTerms, {'attr': {'class': 'form-check-input'}}) }}
                {{ form_label(registrationForm.agreeTerms, null, {'label_attr': {'class': 'form-check-label'}}) }}
                {{ form_errors(registrationForm.agreeTerms) }}
            </div>

            <button type="submit" class="btn btn-primary btn-block">Register</button>

            {{ form_end(registrationForm) }}
        </div>
    </div>
</div>
{% endblock %}
